
%global meadversion 2.0.4
%global namedversion 2.0.4.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead
%bcond_with tests

%{?scl:%scl_package %{?scl_prefix}jboss-marshalling}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.0.4.Final-redhat-1

Name:           %{?scl_prefix}jboss-marshalling
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Marshalling API
Group:          Development/Java

%if %with mead
Source100: jboss-marshalling-parent-2.0.4.Final-redhat-1-scm-sources.zip
Source102: jboss-marshalling-2.0.4.Final-redhat-1.pom
Source103: jboss-marshalling-2.0.4.Final-redhat-1-sources.jar
Source104: jboss-marshalling-2.0.4.Final-redhat-1.jar
Source105: jboss-marshalling-2.0.4.Final-redhat-1-javadoc.jar
Source106: jboss-marshalling-osgi-2.0.4.Final-redhat-1.jar
Source107: jboss-marshalling-osgi-2.0.4.Final-redhat-1.pom
Source108: jboss-marshalling-osgi-2.0.4.Final-redhat-1-sources.jar
Source109: tests-2.0.4.Final-redhat-1-sources.jar
Source110: tests-2.0.4.Final-redhat-1.pom
Source111: tests-2.0.4.Final-redhat-1.jar
Source112: jboss-marshalling-serial-2.0.4.Final-redhat-1-sources.jar
Source113: jboss-marshalling-serial-2.0.4.Final-redhat-1.jar
Source114: jboss-marshalling-serial-2.0.4.Final-redhat-1-javadoc.jar
Source115: jboss-marshalling-serial-2.0.4.Final-redhat-1.pom
Source116: jboss-marshalling-river-2.0.4.Final-redhat-1.jar
Source117: jboss-marshalling-river-2.0.4.Final-redhat-1.pom
Source118: jboss-marshalling-river-2.0.4.Final-redhat-1-sources.jar
Source119: jboss-marshalling-river-2.0.4.Final-redhat-1-javadoc.jar
Source120: jboss-marshalling-parent-2.0.4.Final-redhat-1-javadoc.jar
Source121: jboss-marshalling-parent-2.0.4.Final-redhat-1.pom
Source122: jboss-marshalling-parent-2.0.4.Final-redhat-1-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            http://jbossmarshalling.jboss.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBoss Marshalling API.

%package -n %{?scl_prefix}jboss-marshalling-river
Summary:        JBoss Marshalling River
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-marshalling-river
JBoss Marshalling River Implementation.

%package -n %{?scl_prefix}jboss-marshalling-serial
Summary:        JBoss Marshalling Serial
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-marshalling-serial
JBoss Marshalling Serial Implementation.

%if %with tests
%package -n %{?scl_prefix}jboss-marshalling-tests
Summary:        JBoss Marshalling Tests
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-river = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-serial = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}testng >= 0:6.8.8

%description -n %{?scl_prefix}jboss-marshalling-tests
JBoss Marshalling Test Suite.
%endif

%package -n %{?scl_prefix}jboss-marshalling-osgi
Summary:        JBoss Marshalling OSGi Bundle
Group:          Development/Java

Requires:       %{?scl_prefix}jboss-marshalling = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-river = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}jboss-marshalling-serial = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}jboss-marshalling-osgi
JBoss Marshalling OSGi Bundle with API and implementations.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-marshalling
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-marshalling -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-marshalling-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-marshalling-river-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-river-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-river-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-river-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-river-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-river-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jboss-marshalling-serial-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-serial-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-serial-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-serial-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-serial-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-serial-%{namedversion}-sources.jar
%if %with tests
%{__cp} -p %{_sourcedir}/tests-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-tests-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/tests-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-tests-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/tests-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-tests-%{namedversion}-sources.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-osgi-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-marshalling-osgi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-marshalling-osgi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-marshalling-osgi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-marshalling-osgi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-marshalling-osgi-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-marshalling-%{namedversion}
unzip -qq %{_sourcedir}/jboss-marshalling-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-marshalling-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-marshalling-%{namedversion} %{buildroot}%{_javadocdir}/jboss-marshalling
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-marshalling
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/jboss-marshalling-%{namedversion}.jar
%{_javadir}/jboss-marshalling.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-sources.jar

%files -n %{?scl_prefix}jboss-marshalling-river
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-river-%{namedversion}.jar
%{_javadir}/jboss-marshalling-river.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-river-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-river-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-river-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-river-sources.jar

%files -n %{?scl_prefix}jboss-marshalling-serial
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-serial-%{namedversion}.jar
%{_javadir}/jboss-marshalling-serial.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-serial-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-serial-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-serial-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-serial-sources.jar

%if %with tests
%files -n %{?scl_prefix}jboss-marshalling-tests
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-tests-%{namedversion}.jar
%{_javadir}/jboss-marshalling-tests.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-tests-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-tests-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-tests-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-tests-sources.jar
%endif

%files -n %{?scl_prefix}jboss-marshalling-osgi
%defattr(0644,root,root,0755)
%{_javadir}/jboss-marshalling-osgi-%{namedversion}.jar
%{_javadir}/jboss-marshalling-osgi.jar
%if %with javadoc
%{_javadir}/jboss-marshalling-osgi-%{namedversion}-javadoc.jar
%{_javadir}/jboss-marshalling-osgi-javadoc.jar
%endif
%{_javadir}/jboss-marshalling-osgi-%{namedversion}-sources.jar
%{_javadir}/jboss-marshalling-osgi-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-marshalling-%{namedversion}
%{_javadocdir}/jboss-marshalling
%endif

%changelog
* Wed Mar 14 2018 Aurel Pintea <apintea@redhat.com> - 2.0.4-1.Final_redhat_1.1
- Update to 2.0.4.Final

* Mon Oct 09 2017 Petr Sakar <psakar@redhat.com> - 2.0.2-1.Final_redhat_1.1
- upgrade to 2.0.2.Final-redhat-1

* Thu Sep 14 2017 Petr Sakar <psakar@redhat.com> - 2.0.1-1.Final_redhat_1.1
- upgrade to 2.0.1.Final-redhat-1

* Fri Aug 18 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-8.Final_redhat_1.1
- upgrade to 2.0.0.Final-redhat-1

* Thu Jun 29 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-7.CR1_redhat_1.1
- upgrade to 2.0.0.CR1-redhat-1

* Mon May 22 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-6.Beta8_redhat_1.1
- upgrade to 2.0.0.Beta8-redhat-1

* Tue May 09 2017 Martin Minar <mminar@redhat.com> - 2.0.0-5.Beta7_redhat_1.1
- update to 2.0.0.Beta7

* Mon Apr 24 2017 Martin Minar <mminar@redhat.com> - 2.0.0-4.Beta6_redhat_1.1
- update to version 2.0.0.Beta6

* Wed Feb 15 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-3.Beta5_redhat_1.1
- upgrade to 2.0.0.Beta5-redhat-1

* Tue Jan 03 2017 Petr Sakar <psakar@redhat.com> - 2.0.0-2.Beta4_redhat_1.1
- upgrade to 2.0.0.Beta4-redhat-1

* Sun Dec 18 2016 Petr Sakar <psakar@redhat.com> - 2.0.0-1.Beta3_redhat_1.1
- upgrade to 2.0.0.Beta3-redhat-1 

* Thu Aug 04 2016 Neil Wallace <nwallace@redhat.com> - 1.4.11-1.Final_redhat_1.1
- Update to 1.4.11.Final

* Fri Oct 23 2015 David Walluck <dwalluck@redhat.com> - 1.4.10-3.Final_redhat_3.1
- release

